// This is an unpublished work containing Ray Dream, Inc. Confidential and
// Proprietary information. If publication occurs, the following notice applies:
// "Copyright  1990-1993 Ray Dream, Inc. All rights reserved."
/* $Id: x3dioapi.h 1.9 1994/09/20 23:56:15 erik-ppc Exp $ */

#ifndef __X3DIOAPI__
#define __X3DIOAPI__

struct ExternalInstance;
class TScene;
class TTree;
class TEVOffscreen;

#if defined(qPointersD0) && defined(__MWERKS__) && defined(qPowerPC)
#pragma pointers_in_D0
#endif

//-- Importers:
typedef short (*X3DIOImporterDoPrepareProc)(ExternalInstance* This, const char* fullPathName, TScene* scene, TTree* fatherTree);
typedef short (*X3DIOImporterWantsOptionDialogProc)(ExternalInstance* This);
typedef void (*X3DIOImporterDoImportProc)(ExternalInstance* This, const char* fullPathName, TScene* scene, TTree* fatherTree);

//-- Exporters:
typedef short (*X3DIOExporterDoPrepareProc)(ExternalInstance* This, TScene* scene, TTree* fatherTree);
typedef short (*X3DIOExporterWantsOptionDialogProc)(ExternalInstance* This);
typedef short (*X3DIOExporterDoNeedDiskSpaceProc)(ExternalInstance* This, const char* fullPathName, TScene* scene, TTree* fatherTree, long* dataForkSize, long* rsrcForkSize);
typedef void (*X3DIOExporterDoExportProc)(ExternalInstance* This, const char* fullPathName, TScene* scene, TTree* fatherTree);
typedef Boolean (*X3DIOExporterWantsPreviewProc)(ExternalInstance* This);
typedef void (*X3DIOExporterPreviewSizeProc)(ExternalInstance* This, short& sizeh, short& sizev);
typedef void (*X3DIOExporterSetPreviewProc)(ExternalInstance* This, TEVOffscreen* preview);

#if defined(qPointersD0) && defined(__MWERKS__) && defined(qPowerPC)
#pragma pointers_in_A0
#endif

#endif
